import React, {Component} from 'react';
import {connect} from 'react-redux';
import Button from '../components/Button';

class Control extends Component {


    render() {
        return (
            <div className="controls">
                <div className="buttons">
                    <Button
                        title={'Randomise'}
                        icon={'fa fa-random'}
                    />
                    <Button
                        title={'Clear'}
                        id={"clear-btn"}
                        icon={'fa fa-undo'}
                    />
                    <div className="button-group">
                        <Button
                            id={"toggle-play"}
                            icon={this.props.status.isRunning ? 'fa fa-pause' : 'fa fa-play'}
                        />
                        <Button
                            id={"tick"}
                            icon={'fa fa-step-forward'}
                        />
                    </div>
                </div>
                <div className="buttons">
                    <input
                        type={"text"}/>
                    <Button
                        title={'Set Width'}
                    />
                </div>
                <div className="buttons">
                    <input
                        type={"text"}/>
                    <Button
                        title={'Set Height'}
                    />
                </div>
            </div>
        );
    }

}

const mapStateToProps = (state) => {
   return {};
};
const mapDispatchToProps = (dispatch) => {
    return {};
};
export default connect(mapStateToProps, mapDispatchToProps)(Control)
