import React, {Component} from "react";
import {connect} from "react-redux";
import {Cell} from "../components/Cell";

class Grid extends Component {
    render() {
        return (
            <div>
                <table>
                    <tbody>
                    {
                        this.props.grid.map((row, x) =>
                            <tr key={x}>
                                {
                                    row.map((cell, y) =>
                                        <Cell
                                            key={y}
                                        />
                                    )
                                }
                            </tr>
                        )
                    }
                    </tbody>
                </table>
            </div>
        )
    }
}

const mapStateToProps = ({grid}) => {
    return {grid};
};

export default connect(mapStateToProps, null)(Grid);
