import * as Constants from "../constants";


export const startGame = (timerId) => ({
    type: Constants.START_GAME,
    timerId
});

export const stopGame = () => ({
    type: Constants.STOP_GAME,
});

export const tick = () => ({
    type: Constants.TICK
});

export const toggleAlive = (x, y) => ({
    type: Constants.TOGGLE_ALIVE,
    x,
    y
});

export const resetGame = () => ({
    type: Constants.RESET_GAME
});

export const randomMap = () => ({
    type: Constants.RANDOM_MAP
});

export const setGridHeight = (height) => ({
    type: Constants.SET_GRID_HEIGHT,
    height
});

export const setGridWidth = (width) => ({
    type: Constants.SET_GRID_WIDTH,
    width
});